synchronizationFailed returning NotAuthorized on gmn-dev

2011-09-22 20:44 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2011.38-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

History

#1 - 2011-09-22 21:04 - Rob Nahf

- Category set to d1_mn_GMN

- Assignee set to Roger Dahl

being a tier 1 method, it should not require authentication.

***************** running test for testSynchronizationFailed() vs. node: https://gmn-dev.test.dataone.org/mn/v1 *****************

[org.dataone.integration.it.ContextAwareTestCaseDataone]

20110922-14:30:26: [DEBUG]:    pid = test_object_valid_emlknb-lter-luq.76.2__ [org.dataone.integration.it.ContextAwareTestCaseDataone]

20110922-14:30:27: [INFO]: rest call: POST  https://gmn-dev.test.dataone.org/mn/v1/error [org.dataone.client.RestClient]

20110922-14:30:27: [INFO]: entity: present, size = 456 [org.dataone.client.RestClient]

20110922-14:30:27: [WARN]: Authentication error: Unable to respond to any of these challenges: {} [org.apache.http.impl.client.DefaultHttpClient]

20110922-14:30:27: [INFO]: response httpCode: 401 [org.dataone.service.util.ExceptionHandler]

throws the dataone exception 'NotAuthorized'  detail code: 0 Action denied

#2 - 2011-09-28 03:18 - Roger Dahl

- Status changed from New to Closed
